# $Revision: 1.174 $, $Date: 2007-10-25 10:32:46 $
#
# TODO:
#	- fix build @ uClibc
#       - fix iface_descr patch
#
# Conditional build
%bcond_without	doc		# don't build documentation
%bcond_without	tc		# don't build tc program (it breaks static linkage)
%bcond_without	atm		# don't required ATM.
%bcond_with	uClibc		# do some hacks to build with uClibc
#%bcond_with	iface_descr	# build with interface description support
#
Summary:	Utility to control Networking behavior in.X kernels
Summary(es.UTF-8):	Herramientas para encaminamiento avanzado y configuración de interfaces de red
Summary(pl.UTF-8):	Narzędzie do kontrolowania Sieci w kernelach
Summary(pt_BR.UTF-8):	Ferramentas para roteamento avançado e configuração de interfaces de rede
Name:		iproute2
# do not use ,,2.6.X'' as version here, put whole number like 2.6.8
Version:	2.6.23
Release:	2
License:	GPL
Group:		Networking/Admin
Source0:	http://developer.osdl.org/dev/iproute2/download/%{name}-%{version}.tar.bz2
# Source0-md5:	2e59da739ef19990408cf0a5cb0cae3e
Patch0:		%{name}-build.patch
Patch1:		%{name}-arp.patch
Patch3:		%{name}-iptables.patch
Patch4:		%{name}-iptables64.patch
Patch5:		%{name}-LDFLAGS.patch
Patch6:		%{name}-nl-detect.patch
# extensions
Patch10:	%{name}-2.2.4-wrr.patch
Patch11:	esfq-%{name}.patch
Patch12:	001-net-dev-iface-descr-0.1.diff
Patch13:	%{name}-q_atm_c.patch
Patch14:	%{name}-q_srr.v0.4.patch
URL:		http://linux-net.osdl.org/index.php/Iproute2
BuildRequires:	bison
BuildRequires:	db-devel
BuildRequires:	flex
%if %{with atm}
BuildRequires:	linux-atm-devel
%endif
BuildRequires:	linux-libc-headers >= 7:2.6.12.0-15
%if %{with doc}
BuildRequires:	psutils
BuildRequires:	sgml-tools
BuildRequires:	tetex-dvips
BuildRequires:	tetex-fonts-jknappen
BuildRequires:	tetex-format-latex
BuildRequires:	tetex-metafont
BuildRequires:	tetex-tex-babel
%endif
Obsoletes:	iproute
Obsoletes:	ifstat
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		_sysconfdir	/etc/iproute2

%description
Linux maintains compatibility with the basic configuration utilities
of the network (ifconfig, route) but a new utility is required to
exploit the new characteristics and features of the kernel. This
package includes the new utilities.

%description -l es.UTF-8
Linux mantiene compatibilidad con los utilitarios estándares de
configuración de la red, pero se necesitan nuevos utilitarios para
usar los recursos y características del nuevo núcleo. Este paquete
incluye los nuevos utilitarios.

%description -l pl.UTF-8
Ten pakiet zawiera programy pozwalające na kontrolę routingu i innych
aspektów dotyczących sieci.

%description -l pt_BR.UTF-8
O Linux mantém compatibilidade com os utilitários padrão de
configuração da rede, mas novos utilitários são necessários para fazer
uso das características e recursos da nova kernel. This package
includes the new utilities.

%package -n libnetlink-devel
Summary:	Library for the netlink interface
Summary(pl.UTF-8):	Biblioteka do interfejsu netlink
Group:		Development/Libraries

%description -n libnetlink-devel
This library provides an interface for kernel-user netlink interface.

%description -n libnetlink-devel -l pl.UTF-8
Ta biblioteka udostępnia interfejs do interfejsu netlink między jądrem
a przestrzenią użytkownika.

%prep
%setup -q
#rm -rf include/linux
%patch0 -p1
%patch1 -p1

%if "%{_lib}" == "lib64"
%patch4 -p1
%else
%patch3 -p1
%endif
%patch5 -p1
%patch6 -p1

# extensions:
%patch10 -p1
%patch11 -p1
#%{?with_iface_descr:%patch12 -p1}
%patch13 -p0
%patch14 -p1

%build
%{__make} \
%if %{with uClibc}
	CC="%{_target_cpu}-uclibc-gcc" \
	LD="%{_target_cpu}-uclibc-gcc" \
%else
	CC="%{__cc}" \
	LD="%{__cc}" \
%endif
	HOSTCC="%{__cc}" \
	OPT="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	%{!?with_tc:SUBDIRS="lib ip misc"}

%{?with_doc:%{__make} -C doc}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir},%{_mandir}/man8,%{_libdir},%{_includedir},%{?with_tc:%{_libdir}/tc}}

install ip/{ip,rtmon,routel} %{?with_tc:tc/tc} misc/{ifstat,lnstat,nstat,rtacct,ss} $RPM_BUILD_ROOT%{_sbindir}
install etc/iproute2/rt_protos \
	etc/iproute2/rt_realms \
	etc/iproute2/rt_scopes \
	etc/iproute2/rt_tables \
	$RPM_BUILD_ROOT%{_sysconfdir}

install man/man8/*	$RPM_BUILD_ROOT%{_mandir}/man8
echo ".so tc-pbfifo.8" > $RPM_BUILD_ROOT%{_mandir}/man8/tc-bfifo.8
echo ".so tc-pbfifo.8" > $RPM_BUILD_ROOT%{_mandir}/man8/tc-pfifo.8

install lib/libnetlink.a $RPM_BUILD_ROOT%{_libdir}
install include/libnetlink.h $RPM_BUILD_ROOT%{_includedir}
%{?with_tc:install tc/*.so $RPM_BUILD_ROOT%{_libdir}/tc}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.decnet README.iproute2+tc README.lnstat RELNOTES
%doc ChangeLog %{?with_doc:doc/*.ps}
%attr(755,root,root) %{_sbindir}/*
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%{_mandir}/man8/*
%{?with_tc:%dir %{_libdir}/tc}
%{?with_tc:%attr(755,root,root) %{_libdir}/tc/*.so}

%files -n libnetlink-devel
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%{_includedir}/*.h

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: iproute2.spec,v $
Revision 1.174  2007-10-25 10:32:46  arekm
- rel 2; fix usage on older kernels (like 2.6.21)

Revision 1.173  2007/10/17 06:17:34  arekm
- up to 2.6.23

Revision 1.172  2007/07/18 16:21:30  shadzik
- add -q_srr.v0.4.patch to support sch_srr (kernel-net-sch_srr.spec)
- rel 2

Revision 1.171  2007/07/11 06:22:26  arekm
- lex patch is obsolete

Revision 1.170  2007/07/11 06:21:33  arekm
- up to 2.6.22 070710

Revision 1.169  2007/05/18 12:09:13  shadzik
- fix build by adding patch13
- rel 0.2

Revision 1.168  2007/05/18 06:30:55  qboosh
- updated build patch is back (build-time security fix, optflags support)

Revision 1.167  2007/05/17 20:42:37  cactus
- enabled wrr - with new patch builds fine
- rel. 0.1

Revision 1.166  2007/05/17 18:41:31  cactus
- up to 2.6.20-070313
- disabled build patch now must work without it
- disabled wrr - no patch for this version
- disabled lex - what's this?
- disabled iface_addr - not work now
- esfq patch updated to 2.6.20
-  LDFLAGS patch marged to 2.6.20

Revision 1.165  2007/05/17 10:13:50  cactus
- NFY

Revision 1.164  2007/03/15 20:06:13  twittner
- rel. 2

Revision 1.163  2007/03/15 19:56:48  twittner
- added missing files (by Pawel Nogas)

Revision 1.162  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.161  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.160  2006/10/23 07:37:16  sparky
- interface description bconded and disabled by default (requires llh update)

Revision 1.159  2006/10/22 17:23:23  blues
- interface description support - needs more testing and kernel support

Revision 1.158  2006/10/03 07:11:31  arekm
- updated to 2.6.18 s061002

Revision 1.157  2006/08/07 10:46:27  sparky
- %ifarch ? changed to %if "%{_lib}" == "lib64"

Revision 1.156  2006/08/06 14:06:28  sparky
- HOSTCC="%{__cc}"

Revision 1.155  2006/08/04 01:36:43  sparky
- added LDFLAGS patch
- make options reorganized a little

Revision 1.154  2006/04/22 21:41:30  arekm
- up to 2.6.16

Revision 1.153  2006/01/10 21:16:48  arekm
- updated to 2.6.15-060110

Revision 1.152  2005/12/05 23:13:41  qboosh
- more universal if instead of (partially wrong) archs list

Revision 1.151  2005/12/05 19:39:46  djrzulf
- added patches for using iptables from iproute (path correction),
- rel 3,

Revision 1.150  2005/11/14 09:38:58  pluto
- esfq updated, release 2.

Revision 1.149  2005/11/10 14:04:32  arekm
- up to 2.6.14-051107

Revision 1.148  2005/10/16 09:16:09  paszczus
- reverting cause there is no fresh llh now for that package

Revision 1.146  2005/08/23 17:30:30  qboosh
- release 5: rebuild with <linux/ip.h> fixed on big-endians

Revision 1.145  2005/07/05 16:38:17  arekm
- up to 050607

Revision 1.144  2005/06/05 21:25:25  paszczus
- adaptarized

Revision 1.143  2005/04/11 08:54:47  havner
- removed slash

Revision 1.142  2005/04/11 07:43:38  pluto
- `Unknown qdisc "wrr"` fixed.
- release 3.

Revision 1.141  2005/04/03 16:34:21  qboosh
- release 2

Revision 1.140  2005/04/03 16:33:50  qboosh
- reverted tc breakage by LDFLAGS override (AGAIN!)

Revision 1.139  2005/04/03 08:36:42  pluto
- esfq updated (no longer interferes with the original sfq).

Revision 1.138  2005/04/02 13:42:45  pluto
- misc/ subdir uses ldflags too.
- release 1, STB.

Revision 1.137  2005/04/02 13:25:24  pluto
- updated to 2.6.11-050330.
- tc_u32_mark issue fixed.
- IEC rates patch removed.
- release 0.1, RFT.

Revision 1.136  2005/02/10 09:53:25  pluto
- small update: infiniband address decode added.
- release 0.3.

Revision 1.135  2005/02/07 22:17:55  pluto
- release 0.2.

Revision 1.134  2005/02/07 22:15:07  pluto
- updated to 2.6.10-050207 (mostly bug fixes).

Revision 1.133  2005/01/25 09:39:26  pluto
- updated to 2.6.10-ss050124 (cleanup/bugfix release).

Revision 1.132  2005/01/20 08:38:23  kosmo
- added iproute2-match-nfmark-in-u32.patch

Revision 1.131  2004/12/30 02:22:13  pluto
- updated to 2.6.9-ss041019.
- ipaddress.c patch removed because rtnl_link_stats contains u32 fields.
- release 0.1.

Revision 1.130  2004/09/27 12:43:20  cieciwa
- added bcond for ATM - default is on.

Revision 1.129  2004/08/23 23:42:13  arekm
- updated to 040823

Revision 1.128  2004/08/20 11:47:37  pluto
- atm enabled.

Revision 1.127  2004/08/07 18:37:25  undefine
- BR: db-devel

Revision 1.126  2004/08/04 17:46:48  arekm
- fix pkt_sched.h

Revision 1.125  2004/08/04 14:19:17  arekm
- updated to 040730 (unfortunately our linux-libc-headers are TOO OLD to handle all iproute2 features)

Revision 1.124  2004/07/30 21:06:39  andree
- llh >= 2.6.7.0-8 (tc); rel. 3

Revision 1.123  2004/07/27 20:47:25  havner
- s/Conflicts/Obsoletes ifstat
- rel 2

Revision 1.122  2004/07/24 21:11:48  qboosh
- BR: tetex-fonts-jknappen

Revision 1.121  2004/07/24 21:04:58  qboosh
- BR: tetex-metafont (sgml2latex uses mktextfm)

Revision 1.120  2004/07/24 21:00:48  qboosh
- BR: tetex-format-latex

Revision 1.119  2004/07/18 08:07:00  pluto
- BR(llh) fixed to avoid `tc' miscompilation.

Revision 1.118  2004/07/16 18:01:12  arekm
- R:2.6.7

Revision 1.117  2004/07/16 17:54:39  arekm
- updated to 040702

Revision 1.116  2004/06/16 21:42:52  arekm
- apply db patch

Revision 1.115  2004/06/16 19:21:51  arekm
- rm -rf include-glibc to be sure

Revision 1.114  2004/06/16 19:16:15  arekm
- merged DEVEL

Revision 1.112.2.6  2004/06/16 19:13:23  arekm
- one  more

Revision 1.112.2.5  2004/06/16 18:59:21  arekm
- updated

Revision 1.112.2.4  2004/06/16 18:41:56  arekm
- fix BR

Revision 1.112.2.3  2004/06/16 18:39:19  arekm
- builds

Revision 1.112.2.2  2004/06/08 23:51:25  arekm
- 2.6.7

Revision 1.112.2.1  2004/05/28 21:52:14  arekm
- testing version 2.6.6

Revision 1.113  2004/05/30 16:07:50  pluto
- uClibc finished.

Revision 1.112  2004/05/20 15:06:49  pluto
- TODO added.
- bcond iec_complaint added (default: off)
  reference: http://physics.nist.gov/cuu/Units/binary.html

Revision 1.111  2004/05/08 16:57:54  pluto
- llh/wrr problem fixed.

Revision 1.110  2004/05/07 22:02:36  pluto
- llh BR: updated.

Revision 1.109  2004/05/02 09:53:44  mmazur
- minor corrections

Revision 1.108  2004/04/06 10:38:25  pluto
- C:, release 17.

Revision 1.107  2004/04/06 02:32:46  pluto
- HFSC support added ( http://www-2.cs.cmu.edu/~hzhang/HFSC/main.html ).

Revision 1.106  2004/04/05 14:57:14  mguevara
- added ss ("better" netstat) and ifstat utilities to the distribution
  for ss see the ps.gz docs.

Revision 1.105  2004/04/05 11:49:42  pluto
- llh support added.
- cleanups.
- uClibc NFY...

Revision 1.104  2004/03/14 17:41:23  pluto
- cosmetics.

Revision 1.103  2004/03/14 13:04:30  mmazur
- s/with.*tetex/doc/

Revision 1.102  2004/03/04 22:26:52  arekm
- limit number of loop passes while address flushing to 10k; rel 16. (note that this is hack to avoid infinite loop; should be removed when proper fix is in kernel/iproute)

Revision 1.101  2004/02/21 00:48:16  saq
- ipaddress.patch: use the right printf conversion for {r,t}x_bytes
  (by Pawel Nogas)
- release 15, STBR for Ac

Revision 1.100  2004/01/02 17:34:23  jajcus
- Release: 14
